Package org.apache.cxf.transport

# Interface MessageObserver

All Known Subinterfaces:
  `Client`

All Known Implementing Classes:
  `AbstractFaultChainInitiatorObserver`, `ChainInitiationObserver`, `ClientImpl`, `ClientOutFaultObserver`, `InFaultChainInitiatorObserver`, `MultipleEndpointObserver`, `OutFaultChainInitiatorObserver`

public interface MessageObserver
Observer for incoming messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onMessage(Message message)`
  Called for an incoming message, i.e. where the content format(s) is/are source(s).

- ## Method Details

  - ### onMessage

    void onMessage(Message message)
    Called for an incoming message, i.e. where the content format(s) is/are source(s).
    Parameters:
      `message` -